package com.agilex.vamf.missionhealth.domain.atom;

import java.net.URI;


/**
*
* @author rayj
*/
public class AtomLinkFactory {

   static public AtomLink createSelfLink(URI uri) {
       AtomLink link = new AtomLink();
       link.setRel(rel.self);
       link.setHref(uri);
       return link;
   }
   static public AtomLink createRelatedLink(URI uri, String title) {
       AtomLink link = new AtomLink();
       link.setRel(rel.related);
       link.setHref(uri);
       link.setTitle(title);
       return link;
   }
}